Page MenuHomePhabricator

Add version to Score hashes
Closed, ResolvedPublic

Description

To allow easier breaking changes to Score images, the hash should include a version.

See T18719 for the same in Math extension.


Version: unspecified
Severity: enhancement

Revisions and Commits

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 22 2014, 1:22 AM
bzimport set Reference to bz47448.
bzimport added a subscriber: Unknown Object (MLST).
Jdforrester-WMF moved this task from Untriaged to Backlog on the Multimedia board.Sep 4 2015, 6:34 PM
Restricted Application added subscribers: Matanya, Aklapper. · View Herald TranscriptSep 4 2015, 6:34 PM
Ebe123 updated the task description. (Show Details)Aug 4 2017, 11:38 PM
Ebe123 removed a subscriber: wikibugs-l-list.

Change 370428 had a related patch set uploaded (by Ebe123; owner: Ebe123):
[mediawiki/extensions/Score@master] Add variables to score hash and add purging

https://gerrit.wikimedia.org/r/370428

Change 370428 abandoned by Ebe123:
Add variables to score hash and add purging

Reason:
Going to split into 2 changesets for better seperation and testing.

https://gerrit.wikimedia.org/r/370428

Change 399893 had a related patch set uploaded (by Ebe123; owner: Ebe123):
[mediawiki/extensions/Score@master] Add variables to score hash

https://gerrit.wikimedia.org/r/399893

Change 399893 merged by jenkins-bot:
[mediawiki/extensions/Score@master] Add variables to score hash

https://gerrit.wikimedia.org/r/399893

Ebe123 closed this task as Resolved.Dec 23 2017, 6:27 PM

Change 400460 had a related patch set uploaded (by Ebe123; owner: Ebe123):
[mediawiki/extensions/Score@master] Remove rawAndMidi from cache options

https://gerrit.wikimedia.org/r/400460

Change 400460 merged by jenkins-bot:
[mediawiki/extensions/Score@master] Remove rawAndMidi from cache options

https://gerrit.wikimedia.org/r/400460